module Cuckery.Types exposing (..)


type alias Cuck =
    { cuckImage : String
    , cuckName : String
    , cuckSocial : String
    , cuckDodges : List Dodge
    }


type alias Dodge =
    { dodgeLink : String
    , dodgeDescription : DodgeDescription
    , dodgeProposition : String
    , dodgeNicksDoxasticState : Maybe DoxasticState
    , dodgeNicksDoxasticReason : Reason
    }


type DodgeDescription
    = NoReply
    | RanAway
    | GhostedMe
    | OutrightNo
    | InTooDeep
    | KillScreen


type DoxasticState
    = Belief
    | Disbelief
    | Agnostic


type Reason
    = NoProp
    | Vague


type alias FormattedCuckName =
    String


formatCuckName : String -> FormattedCuckName
formatCuckName name =
    name
        |> String.toLower
        |> String.replace " " ""


noProposition : String
noProposition =
    "N/A"
